Skip to content

Statistics API

This document contains the instruction on to access company statistics and contacts from Oikotie real estate API.

Instructions on how to get the API key

The response format is JSON. Documentation for the following endpoints is under the stats-extrernal section in the swagger spec.

Leads / Contacts

From this endpoint you can get companys and it's childrens contacts.

For contacts the speficig endpoint is:

GET: /api/latest/stats/contacts

Parameters are as query parameters and are - company_id - Company id to fetch the data for. Can be found from Company search - date (Y-m-d) - Date to fetch the data for. - restrict - Restricts the results to the given company_id (excludes the child companies)

Example:

GET /api/latest/stats/contacts?company_id=123&date=2023-01-01

Visitor stats

The visitor stats can be fetched in three different formats from three different endpoints. - Statisitcs for a single listing - Summed stats for all listings of the office - Daily stats for all listings of the office

The date parameters are the same for all three endpoints: - startDate (Y-m-d) - Start date to fetch the data for. - endDate (Y-m-d) - End date to fetch the data for.

Company id can be found from Company search

Statistics for a single listing

Fetches daily statistics for a single listing.

GET /api/latest/stats/sum/card/{listingId}/{startDate}/{endDate}

Summed stats for all listings of the office

Fetches summed statistics for all listings of the office.

GET /api/latest/stats/sum/company/{companyId}/{startDate}/{endDate}

Daily stats for all listings of the office

Fetches daily statistics for all listings of the office.

GET /api/latest/stats/company/{companyId}/{startDate}/{endDate}

Last update: March 11, 2026